// EyeBot Demo Program: Drive, T. Bräunl, Nov. 2018
// Drive with console LCD output
#include "eyebot.h"
#define DIST  500
#define SPEED 200

int main()
{ printf("Drive straight %dmm\n", DIST);
  VWStraight(DIST, SPEED);
  VWWait();              // wait until completed

  printf("Rotate 180 deg.\n");
  VWTurn(180, 60);       // half turn in ca. 3s
  VWWait();              // wait until completed

  printf("Drive straight %dmm\n", DIST);
  VWStraight(DIST, SPEED);
  VWWait();              // wait until completed

  printf("Rotate 180 deg.\n");
  VWTurn(180, 60);       // half turn in ca. 3s
  VWWait();              // wait until completed
}
